> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a user address

> Retrieves the details of an existing user address.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/taggings.yml get /user/addresses/{id}
openapi: 3.1.0
info:
  title: Telnyx Taggings API
  version: 2.0.0
  description: API for Taggings.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /user/addresses/{id}:
    get:
      tags:
        - UserAddresses
      summary: Retrieve a user address
      description: Retrieves the details of an existing user address.
      operationId: GetUserAddress
      parameters:
        - name: id
          in: path
          description: user address ID
          required: true
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/UserAddressResponse'
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
        '422':
          description: Bad request
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const userAddress = await client.userAddresses.retrieve('id');

            console.log(userAddress.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            user_address = client.user_addresses.retrieve(
                "id",
            )
            print(user_address.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tuserAddress, err := client.UserAddresses.Get(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", userAddress.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.useraddresses.UserAddressRetrieveParams;

            import
            com.telnyx.sdk.models.useraddresses.UserAddressRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    UserAddressRetrieveResponse userAddress = client.userAddresses().retrieve("id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            user_address = telnyx.user_addresses.retrieve("id")

            puts(user_address)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $userAddress = $client->userAddresses->retrieve('id');

              var_dump($userAddress);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx user-addresses retrieve \
              --api-key 'My API Key' \
              --id id
components:
  responses:
    UserAddressResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/UserAddress'
  schemas:
    UserAddress:
      type: object
      title: UserAddress
      properties:
        id:
          type: string
          format: uuid
          description: Uniquely identifies the user address.
          example: c3527e69-dc5a-4b3e-8f44-99d209f83c1d
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: user_address
        customer_reference:
          $ref: '#/components/schemas/customer_reference'
        first_name:
          $ref: '#/components/schemas/user-addresses_first_name'
        last_name:
          $ref: '#/components/schemas/user-addresses_last_name'
        business_name:
          $ref: '#/components/schemas/user-addresses_business_name'
        phone_number:
          $ref: '#/components/schemas/user-addresses_phone_number'
        street_address:
          $ref: '#/components/schemas/user-addresses_street_address'
        extended_address:
          $ref: '#/components/schemas/user-addresses_extended_address'
        locality:
          $ref: '#/components/schemas/user-addresses_locality'
        administrative_area:
          $ref: '#/components/schemas/user-addresses_administrative_area'
        neighborhood:
          $ref: '#/components/schemas/user-addresses_neighborhood'
        borough:
          $ref: '#/components/schemas/user-addresses_borough'
        postal_code:
          $ref: '#/components/schemas/user-addresses_postal_code'
        country_code:
          $ref: '#/components/schemas/user-addresses_country_code'
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2018-02-02T22:25:27.521Z'
    customer_reference:
      type: string
      description: A customer reference string for customer look ups.
      example: MY REF 001
    user-addresses_first_name:
      type: string
      description: The first name associated with the user address.
      example: Alfred
    user-addresses_last_name:
      type: string
      description: The last name associated with the user address.
      example: Foster
    user-addresses_business_name:
      type: string
      description: The business name associated with the user address.
      example: Toy-O'Kon
    user-addresses_phone_number:
      type: string
      description: The phone number associated with the user address.
      example: '+12125559000'
    user-addresses_street_address:
      type: string
      description: The primary street address information about the user address.
      example: 600 Congress Avenue
    user-addresses_extended_address:
      type: string
      description: >-
        Additional street address information about the user address such as,
        but not limited to, unit number or apartment number.
      example: 14th Floor
    user-addresses_locality:
      type: string
      description: >-
        The locality of the user address. For US addresses, this corresponds to
        the city of the address.
      example: Austin
    user-addresses_administrative_area:
      type: string
      description: >-
        The locality of the user address. For US addresses, this corresponds to
        the state of the address.
      example: TX
    user-addresses_neighborhood:
      type: string
      description: >-
        The neighborhood of the user address. This field is not used for
        addresses in the US but is used for some international addresses.
      example: Ciudad de los deportes
    user-addresses_borough:
      type: string
      description: >-
        The borough of the user address. This field is not used for addresses in
        the US but is used for some international addresses.
      example: Guadalajara
    user-addresses_postal_code:
      type: string
      description: The postal code of the user address.
      example: '78701'
    user-addresses_country_code:
      type: string
      description: The two-character (ISO 3166-1 alpha-2) country code of the user address.
      example: US
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````